org.codehaus.plexus.component.composition

## Class SetterComponentComposer

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogEnabled
  - - org.codehaus.plexus.component.composition.AbstractComponentComposer
    - - org.codehaus.plexus.component.composition.SetterComponentComposer

All Implemented Interfaces:
  ComponentComposer, LogEnabled

    public class SetterComponentComposer
    extends AbstractComponentComposer

Version:
  $Id: SetterComponentComposer.java 1323 2004-12-20 23:00:59Z jvanzyl $
Author:
  Michal Maczka

### Field Summary

### Fields inherited from interface org.codehaus.plexus.component.composition.ComponentComposer

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`SetterComponentComposer()`

### Method Summary

Methods
`List` `assembleComponent(Object component, ComponentDescriptor descriptor, PlexusContainer container)`
`protected PropertyDescriptor` `findMatchingPropertyDescriptor(ComponentRequirement requirement, PropertyDescriptor[] propertyDescriptors)`
`protected PropertyDescriptor` `getPropertyDescriptorByName(String name, PropertyDescriptor[] propertyDescriptors)`
`protected PropertyDescriptor` `getPropertyDescriptorByType(String type, PropertyDescriptor[] propertyDescriptors)`

### Methods inherited from class org.codehaus.plexus.component.composition.AbstractComponentComposer

`getId`

### Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled

`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SetterComponentComposer

    public SetterComponentComposer()

### Method Detail

#### assembleComponent

    public List assembleComponent(Object component,
                         ComponentDescriptor descriptor,
                         PlexusContainer container)
                           throws CompositionException,
                                  UndefinedComponentComposerException

Returns:
  List of ComponentDescriptors which were used by ComponentComposer
Throws:
  `CompositionException`
  `UndefinedComponentComposerException`

#### findMatchingPropertyDescriptor

    protected PropertyDescriptor findMatchingPropertyDescriptor(ComponentRequirement requirement,
                                                    PropertyDescriptor[] propertyDescriptors)

Parameters:
  `requirement` -
Returns:

#### getPropertyDescriptorByName

    protected PropertyDescriptor getPropertyDescriptorByName(String name,
                                                 PropertyDescriptor[] propertyDescriptors)

Parameters:
  `name` -
Returns:

#### getPropertyDescriptorByType

    protected PropertyDescriptor getPropertyDescriptorByType(String type,
                                                 PropertyDescriptor[] propertyDescriptors)